GDAL_FILLNODATA(1)

NAME
gdal_fillnodata - Fill raster regions by interpolation from edges.

SYNOPSIS

gdal_fillnodata.py [-q] [-md max_distance] [-si smooth_iterations]
                [-o name=value] [-b band]
                srcfile [-nomask] [-mask filename] [-of format] [dstfile]

DESCRIPTION

gdal_fillnodata.py script fills selection regions (usually nodata areas) by interpolating from valid pixels around the edges of the area.

Additional details on the algorithm are available in the GDALFillNodata() docs.

-q  The script runs in quiet mode. The progress monitor is suppressed and routine messages are not displayed.

-md max_distance
    The maximum distance (in pixels) that the algorithm will search out for values to interpolate. The default is 100 pixels.

-si smooth_iterations
    The number of 3x3 average filter smoothing iterations to run after the interpolation to dampen artifacts. The default is zero smoothing iterations.

-o name=value
    Specify a special argument to the algorithm. Currently none are supported.

-b band
    The band to operate on, by default the first band is operated on.

srcfile
    The source raster file used to identify target pixels. Only one band is used.

-mask filename
    Use the first band of the specified file as a validity mask (zero is invalid, non-zero is valid).

dstfile
    The new file to create with the interpolated result. If not provided, the source band is updated in place.

-of format
    Select the output format. The default is GTiff -- GeoTIFF File Format. Use the short format name.

AUTHOR
Frank Warmerdam <warmerdam@pobox.com>

COPYRIGHT
1998-2023